/**
 * JASMINe VMMapi: JASMINe Virtual Machine Management API
 * Copyright (C) 2009 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: VMMAgentMXBean.java 6064 2010-02-18 14:05:50Z jlegrand $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.vmm.api;

/**
 * The entry-point management interface of a VMM agent.
 * <p>
 * The <tt>ObjectName</tt> for uniquely identifying the singleton AgentMXBean
 * within a MBeanServer is: <blockquote> org.ow2.jasmine.vmm.api:type=Agent
 * </blockquote>
 */
public interface VMMAgentMXBean {
    /**
     * Returns the top-level domain managed by the agent
     *
     * @return the root domain
     */
    DomainMXBean getRootDomain();

    /**
     * Shutdowns the agent
     */
    void shutdown();
}
